library verilog;
use verilog.vl_types.all;
entity read_SPI is
    generic(
        IDLE            : integer := 0;
        FIRST_HI        : integer := 1;
        FIRST_LOW       : integer := 2;
        CLOCK_HI        : integer := 3;
        CLOCK_LOW       : integer := 4;
        READ_DONE       : integer := 5;
        WAIT_FOR_DATA_IN_LO: integer := 6;
        CLOCK_HI_DELAY  : integer := 7;
        CLOCK_LO_DELAY  : integer := 8;
        READ_DONE_DELAY : integer := 9
    );
    port(
        CLK             : in     vl_logic;
        RST_N           : in     vl_logic;
        START           : in     vl_logic;
        DONE            : out    vl_logic;
        DOUT            : out    vl_logic_vector(7 downto 0);
        DATA_IN         : in     vl_logic;
        SCLK            : out    vl_logic;
        PERFORM_READ    : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of IDLE : constant is 1;
    attribute mti_svvh_generic_type of FIRST_HI : constant is 1;
    attribute mti_svvh_generic_type of FIRST_LOW : constant is 1;
    attribute mti_svvh_generic_type of CLOCK_HI : constant is 1;
    attribute mti_svvh_generic_type of CLOCK_LOW : constant is 1;
    attribute mti_svvh_generic_type of READ_DONE : constant is 1;
    attribute mti_svvh_generic_type of WAIT_FOR_DATA_IN_LO : constant is 1;
    attribute mti_svvh_generic_type of CLOCK_HI_DELAY : constant is 1;
    attribute mti_svvh_generic_type of CLOCK_LO_DELAY : constant is 1;
    attribute mti_svvh_generic_type of READ_DONE_DELAY : constant is 1;
end read_SPI;
