library verilog;
use verilog.vl_types.all;
entity EPT_4CE6_AF_D1_Top is
    generic(
        GLOBAL_RESET_COUNT: vl_logic_vector(0 to 11) := (Hi1, Hi0, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0)
    );
    port(
        aa              : in     vl_logic_vector(1 downto 0);
        bc_in           : in     vl_logic_vector(1 downto 0);
        bc_out          : out    vl_logic_vector(2 downto 0);
        bd_inout        : inout  vl_logic_vector(7 downto 0);
        LB_IO1          : in     vl_logic_vector(7 downto 0);
        LB_IO2          : in     vl_logic_vector(7 downto 0);
        LB_IO3          : in     vl_logic_vector(7 downto 0);
        LB_IO4          : out    vl_logic_vector(7 downto 0);
        I2C_SDA         : inout  vl_logic;
        I2C_SCL         : in     vl_logic;
        TEST_BUS_1      : out    vl_logic_vector(11 downto 0);
        STATE_OUT       : out    vl_logic_vector(3 downto 0);
        SW_USER_1       : in     vl_logic;
        SW_USER_2       : in     vl_logic;
        LED             : out    vl_logic_vector(3 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of GLOBAL_RESET_COUNT : constant is 1;
end EPT_4CE6_AF_D1_Top;
