library verilog;
use verilog.vl_types.all;
entity write_SPI is
    generic(
        IDLE            : integer := 0;
        LOAD_FIRST_BIT  : integer := 1;
        CLOCK_HI        : integer := 2;
        CLOCK_LOW       : integer := 3;
        WRITE_DONE      : integer := 4;
        CLOCK_HI_DELAY  : integer := 5;
        CLOCK_LO_DELAY  : integer := 6;
        LOAD_FIRST_BIT_DELAY: integer := 7
    );
    port(
        CLK             : in     vl_logic;
        RST_N           : in     vl_logic;
        START           : in     vl_logic;
        DIN             : in     vl_logic_vector(7 downto 0);
        DONE            : out    vl_logic;
        DATA_OUT        : out    vl_logic;
        SCLK            : out    vl_logic;
        PERFORM_READ    : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of IDLE : constant is 1;
    attribute mti_svvh_generic_type of LOAD_FIRST_BIT : constant is 1;
    attribute mti_svvh_generic_type of CLOCK_HI : constant is 1;
    attribute mti_svvh_generic_type of CLOCK_LOW : constant is 1;
    attribute mti_svvh_generic_type of WRITE_DONE : constant is 1;
    attribute mti_svvh_generic_type of CLOCK_HI_DELAY : constant is 1;
    attribute mti_svvh_generic_type of CLOCK_LO_DELAY : constant is 1;
    attribute mti_svvh_generic_type of LOAD_FIRST_BIT_DELAY : constant is 1;
end write_SPI;
