onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -divider {Testbench Signals}
add wave -noupdate -divider {TB I2C Bus}
add wave -noupdate /tb_ept_4ce6_top/i2c_model_data_out
add wave -noupdate /tb_ept_4ce6_top/temp_1_humidity_1_iic_clock
add wave -noupdate -divider {Host Active Trigger}
add wave -noupdate -divider {Host Control Register}
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/send_control_register/control_register_byte
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/send_control_register/transfer_cmd_to_device
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/send_control_register/read_command
add wave -noupdate -divider {Host Check Status}
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/host_check_status/host_status_byte
add wave -noupdate -divider {Host Write Bus}
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/host_bus_write/write_register_value
add wave -noupdate -divider TB_I2C_Set_Address
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/i2c_latch_address_model/address_value
add wave -noupdate -divider {TB Host I2C Master Read Message}
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/i2c_read_message_model/master_return_value
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/i2c_read_message_model/master_receive_flag
add wave -noupdate -divider {TB Host 
I2 Master_Write_Message}
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/i2c_write_message_model/sensor_send_value
add wave -noupdate -divider TB_I2C_Receive_Request
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/i2c_receive_request_model/receive_word_count_value
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/i2c_receive_request_model/receive_word_value
add wave -noupdate -divider ReadI2CSlaveWordFromFIFO
add wave -noupdate -divider TriggerOutReceive
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/TriggerOutReceive/read_register_value
add wave -noupdate -divider EPTParseReceive
add wave -noupdate -divider EPT_4CE6_AF_D1_Top
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/aa
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/bc_in
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/bc_out
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/bd_inout
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/SW_USER_1
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/SW_USER_2
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/LED
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/CLK_66
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/RST
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/UC_IN
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/UC_OUT
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/trigger_out
add wave -noupdate -radix hexadecimal -childformat {{{/tb_ept_4ce6_top/DUT/trigger_in_byte[7]} -radix hexadecimal} {{/tb_ept_4ce6_top/DUT/trigger_in_byte[6]} -radix hexadecimal} {{/tb_ept_4ce6_top/DUT/trigger_in_byte[5]} -radix hexadecimal} {{/tb_ept_4ce6_top/DUT/trigger_in_byte[4]} -radix hexadecimal} {{/tb_ept_4ce6_top/DUT/trigger_in_byte[3]} -radix hexadecimal} {{/tb_ept_4ce6_top/DUT/trigger_in_byte[2]} -radix hexadecimal} {{/tb_ept_4ce6_top/DUT/trigger_in_byte[1]} -radix hexadecimal} {{/tb_ept_4ce6_top/DUT/trigger_in_byte[0]} -radix hexadecimal}} -subitemconfig {{/tb_ept_4ce6_top/DUT/trigger_in_byte[7]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/DUT/trigger_in_byte[6]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/DUT/trigger_in_byte[5]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/DUT/trigger_in_byte[4]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/DUT/trigger_in_byte[3]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/DUT/trigger_in_byte[2]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/DUT/trigger_in_byte[1]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/DUT/trigger_in_byte[0]} {-height 15 -radix hexadecimal}} /tb_ept_4ce6_top/DUT/trigger_in_byte
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/led_reset
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/start_transfer
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/start_transfer_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/transfer_out_byte
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/transfer_in_received
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/transfer_in_byte
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/transfer_control_byte
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/control_register
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/reset
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/reset_counter
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/reset_signal_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/serial_receive_start_transfer
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/serial_receive_in_received
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/serial_receive_out_byte
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/serial_control_in_byte
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/serial_transmit_start_transfer
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/serial_transmit_in_received
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/serial_transmit_out_byte
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/serial_transmit_in_byte
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/state_name
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/uc_out_m
add wave -noupdate -divider {Active Trigger}
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/ACTIVE_TRIGGER_INST/uc_clk
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/ACTIVE_TRIGGER_INST/uc_reset
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/ACTIVE_TRIGGER_INST/uc_in
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/ACTIVE_TRIGGER_INST/uc_out
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/ACTIVE_TRIGGER_INST/trigger_to_host
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/ACTIVE_TRIGGER_INST/trigger_to_device
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/ACTIVE_TRIGGER_INST/to_trigupdate
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/ACTIVE_TRIGGER_INST/trigger_to_host_flag
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/ACTIVE_TRIGGER_INST/previous_to_trigupdate
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/ACTIVE_TRIGGER_INST/to_trigupdate_counter
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/ACTIVE_TRIGGER_INST/xint
add wave -noupdate -divider {I2C Slave Comms}
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/RESET
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_IIC_TRANSMIT_DATA_IN
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_IIC_TRANSMIT_ENA_OUT
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_IIC_TRANSMIT_RDY_IN
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_IIC_RECEIVE_DATA_OUT
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_IIC_RECEIVE_ENA_IN
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_IIC_RECEIVE_RDY_OUT
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/ERROR_OUT
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/state
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/next
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/IIC_DATA
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/IIC_CLOCK
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_fifo_rden
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_fifo_rden_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_fifo_din
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_fifo_wren
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_fifo_wren_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_fifo_dout
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_fifo_full
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_fifo_empty
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_data_count
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_fifo_wr_ack
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_fifo_afull
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_fifo_aempty
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_fifo_flush
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_fifo_rden
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_fifo_din
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_fifo_wren
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_fifo_wren_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_fifo_dout
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_fifo_full
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_fifo_empty
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_data_count
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_fifo_wr_ack
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_fifo_afull
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_fifo_aempty
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_fifo_flush
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/serial_iic_rdy_out_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/serial_iic_ena_out_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_data_out
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_valid_out
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_active
add wave -noupdate /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_active_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/i2c_next_byte_flag
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/i2c_next_byte_timeout_cntr
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/iic_data_from_transmit
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/iic_clock_from_transmit
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_data_in
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_data_valid
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_active
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_done
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmission_active
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_data_valid_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/transmit_data_complete
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/wait_for_data_valid
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_decode_message
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/receive_decode_message_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/i2c_start_detect
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/i2c_rw_stop
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/i2c_start_stop_counter
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/i2c_start_stop_state
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/i2c_address_detected
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/i2c_address
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/i2c_read_write_bit
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/ack_done
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/ack_grant_start
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/ack_grant_start_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/ack_request_start
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/ack_data_out
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/i2c_ack_transmit
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/i2c_data_out_from_ack
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/i2c_ack_send_active
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/i2c_ack_rcv_active
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/error_detect_reg
add wave -noupdate -radix ascii /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/state_name
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/i2c_ack_clock
add wave -noupdate -divider DUT_Serial_I2C_Transmit
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/clk
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/reset
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/iic_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/iic_clock
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/transmit_complete
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/data_in
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/data_valid
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/active
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/holding_reg_empty
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/holding_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/shift_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/phase
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/iic_data_idle
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/iic_data_select
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/last_data_valid
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/bit_counter
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_TRANSMIT_INST/transmit_complete_reg
add wave -noupdate -divider DUT_Serial_I2C_Receive
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/START
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/DATA_IN
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/DOUT
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/DONE
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/SCLK
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/PERFORM_READ
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/TEST_BUS
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/state
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/next
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/STATE_OUT
add wave -noupdate -radix ascii /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/state_name
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/bit_count_state
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/i2c_clk_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/in_bit_count
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_RECEIVE_INST/shift_in_reg
add wave -noupdate -divider DUT_Serial_I2C_Ack
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/GNT_START
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/REQ_START
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/VALID_SEND
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/VALID_RECEIVE
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/DATA_IN
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/DOUT
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/DATA_OUT
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/DONE
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/SCLK
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/bit_count
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/bit_count_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/state
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/next
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/sclk_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/sdata_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/dout_reg
add wave -noupdate -radix ascii /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/SERIAL_I2C_ACK_INST/state_name
add wave -noupdate -divider {DUT_Serial_Receive_
FIFO}
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/clk
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/reset_n
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/flush
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/read_req
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/write_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/wdata_valid
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/read_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/rdata_valid
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/fifo_empty
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/fifo_aempty
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/fifo_full
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/fifo_afull
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/write_ack
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/read_ptr
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/write_ptr
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/read_enable
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_RECEIVE_FIFO/write_enable
add wave -noupdate -divider DUT_Serial_Transmit_FIFO
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/clk
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/reset_n
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/flush
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/read_req
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/write_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/wdata_valid
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/read_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/rdata_valid
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/fifo_empty
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/fifo_aempty
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/fifo_full
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/fifo_afull
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/write_ack
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/read_ptr
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/write_ptr
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/read_enable
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/DUT/I2C_SERDES_MODULE_INST/I2C_TRANSMIT_FIFO/write_enable
add wave -noupdate -divider {Sensor_Feedback
_Model}
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/CLK
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/RESET
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/SERIAL_CLK
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/DATA
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/CLOCK
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/CONTROL_REGISTER
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/STATUS_REGISTER
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/RECEIVE_REGISTER
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/SEND_REGISTER
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/state
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/next
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/transmit_data_in
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/RDY_OUT
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/word_count
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/receive_data_out
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/ENA_OUT
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/RDY_IN
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/ENA_IN
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/de_assert_ena_in_count
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/de_assert_rdy_in_count
add wave -noupdate -radix ascii /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/state_name
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/ena_out_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/rdy_out_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/read_data_count
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/status_update_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/control_update_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/receive_data_ready
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/receive_data_ready_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/transmit_data_ready
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/transmit_data_ready_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/transmit_data_count
add wave -noupdate -divider Sensor_I2C_Comms_Model
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/CLK
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/RESET
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/SERIAL_CLK
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/IIC_DATA
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/IIC_CLOCK
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/SERIAL_IIC_TRANSMIT_DATA_IN
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/SERIAL_IIC_TRANSMIT_ENA_OUT
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/SERIAL_IIC_TRANSMIT_RDY_IN
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/SERIAL_IIC_TRANSMIT_WORD_COUNT_IN
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/SERIAL_IIC_TRANSMIT_ADDRESS_IN
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/SERIAL_IIC_RECEIVE_DATA_OUT
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/SERIAL_IIC_RECEIVE_ENA_IN
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/SERIAL_IIC_RECEIVE_RDY_OUT
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_iic_ena_out_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/iic_data_to_receive
add wave -noupdate /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/iic_clock_from_receive
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/iic_data_from_transmit
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/iic_clock_from_transmit
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/read_word_out_count
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/incoming_word_count
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/write_to_iic
add wave -noupdate /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/write_to_iic_state
add wave -noupdate /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/i2c_start_active
add wave -noupdate /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/i2c_start_active_reg
add wave -noupdate /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/i2c_start_clock
add wave -noupdate /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/i2c_start_data
add wave -noupdate /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/i2c_stop_active
add wave -noupdate /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/i2c_stop_active_reg
add wave -noupdate /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/i2c_stop_clock
add wave -noupdate /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/i2c_stop_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/state
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/next
add wave -noupdate -radix ascii /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/state_name
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/receive_fifo_rden
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/receive_fifo_rden_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/receive_fifo_din
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/receive_fifo_wren
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/receive_fifo_wren_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/receive_fifo_dout
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/receive_fifo_full
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/receive_fifo_empty
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/receive_data_count
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/receive_data_out
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/receive_valid_out
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/receive_active
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/transmission_active
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/transmit_fifo_rden
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/transmit_fifo_din
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/transmit_fifo_wren
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/transmit_fifo_dout
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/transmit_fifo_full
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/transmit_fifo_empty
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/transmit_data_count
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/transmit_data_in
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/transmit_data_valid
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/transmit_active
add wave -noupdate /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/transmit_start
add wave -noupdate /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/transmit_done
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/transmit_data_valid_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/transmit_data_complete
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/ack_grant_start
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/ack_req_start
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/i2c_ack_clock
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/i2c_ack_data_out
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/i2c_ack_done
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/i2c_ack_receive
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/i2c_ack_transmit
add wave -noupdate -divider I2C_Transmit_Model
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/clk
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/reset
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/iic_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/iic_clock
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/transmit_complete
add wave -noupdate -radix hexadecimal -childformat {{{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in[7]} -radix hexadecimal} {{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in[6]} -radix hexadecimal} {{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in[5]} -radix hexadecimal} {{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in[4]} -radix hexadecimal} {{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in[3]} -radix hexadecimal} {{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in[2]} -radix hexadecimal} {{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in[1]} -radix hexadecimal} {{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in[0]} -radix hexadecimal}} -subitemconfig {{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in[7]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in[6]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in[5]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in[4]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in[3]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in[2]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in[1]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in[0]} {-height 15 -radix hexadecimal}} /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_in
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/data_valid
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/active
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/holding_reg_empty
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/iic_data_pre
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/holding_reg
add wave -noupdate -radix hexadecimal -childformat {{{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg[7]} -radix hexadecimal} {{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg[6]} -radix hexadecimal} {{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg[5]} -radix hexadecimal} {{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg[4]} -radix hexadecimal} {{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg[3]} -radix hexadecimal} {{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg[2]} -radix hexadecimal} {{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg[1]} -radix hexadecimal} {{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg[0]} -radix hexadecimal}} -subitemconfig {{/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg[7]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg[6]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg[5]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg[4]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg[3]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg[2]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg[1]} {-height 15 -radix hexadecimal} {/tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg[0]} {-height 15 -radix hexadecimal}} /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/shift_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/phase
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/iic_data_idle
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/iic_data_select
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/last_data_valid
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/bit_counter
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_transmit_inst/transmit_complete_reg
add wave -noupdate -divider I2C_Receive_Model
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/clk
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/reset
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/data_out
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/valid_out
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/active
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/iic_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/iic_clock
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/last_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/last_clk
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/lastlast_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/lastlast_clock
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/sample_data
add wave -noupdate /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/receive_start
add wave -noupdate /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/receive_start_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/shift_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/bit_counter
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/out_phase
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/z1_iic_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/z2_iic_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/z3_iic_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/z1_iic_clock
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/z2_iic_clock
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/serial_receive_inst/z3_iic_clock
add wave -noupdate -divider {I2C ACK MODEL}
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/CLK
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/RST_N
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/GNT_START
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/REQ_START
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/DATA_IN
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/DOUT
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/DATA_OUT
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/DONE
add wave -noupdate /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/VALID_RECEIVE
add wave -noupdate /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/VALID_SEND
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/SCLK
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/bit_count
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/bit_count_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/state
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/next
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/sclk_reg
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/sdata_reg
add wave -noupdate -radix ascii /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_ACK_MODEL_INST/state_name
add wave -noupdate -divider {I2C Receive FIFO Model}
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/clk
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/reset_n
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/flush
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/read_req
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/write_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/wdata_valid
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/read_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/rdata_valid
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/fifo_empty
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/fifo_aempty
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/fifo_full
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/fifo_afull
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/write_ack
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/read_ptr
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/write_ptr
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/read_enable
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_RECEIVE_FIFO/write_enable
add wave -noupdate -divider {I2C Transmit FIFO Model}
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/clk
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/reset_n
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/flush
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/read_req
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/write_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/wdata_valid
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/read_data
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/rdata_valid
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/fifo_empty
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/fifo_aempty
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/fifo_full
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/fifo_afull
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/write_ack
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/read_ptr
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/write_ptr
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/read_enable
add wave -noupdate -radix hexadecimal /tb_ept_4ce6_top/I2C_COMMS_CONTROLLER_MODEL/serial_iic_comms_inst/I2C_TRANSMIT_FIFO/write_enable
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 19} {7254725913 ps} 0} {{Cursor 3} {1247655982 ps} 0} {{Cursor 4} {6891545513 ps} 0} {{Cursor 5} {365455862 ps} 0} {{Cursor 5} {94425000 ps} 0}
quietly wave cursor active 5
configure wave -namecolwidth 293
configure wave -valuecolwidth 40
configure wave -justifyvalue left
configure wave -signalnamewidth 1
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ps
update
WaveRestoreZoom {61958012 ps} {111459274 ps}
